package com.dsk.web.controller.dsk;


import com.dsk.common.core.domain.R;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.system.dskService.EnterpriseProjectService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
*@Description: 央企经营管理系统企业项目相关
*@Author: zhangyi
*@date: 2023/5/17 9:03
*/
@Slf4j
@RestController
@RequestMapping(value = "/enterpriseProject")
public class EnterpriseProjectController {
    @Autowired
    EnterpriseProjectService enterpriseProjectService;


    @ApiOperation(value = "土地交易员列表")
    @RequestMapping(value = "/landTransactionPage", method = RequestMethod.POST)
    public TableDataInfo landTransactionPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.landTransactionPage(paramMap);
    }

    @ApiOperation(value = "土地用途列表")
    @RequestMapping(value = "/landUse", method = RequestMethod.POST)
    public R landUse(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.landUse(paramMap);
    }

    @ApiOperation(value = "土地信息详情")
    @RequestMapping(value = "/landDetail",method = RequestMethod.POST)
    public R landDetail(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.landDetail(paramMap);
    }

    @ApiOperation(value = "拟建项目列表")
    @RequestMapping(value = "/approvalProjectPage",method = RequestMethod.POST)
    public TableDataInfo approvalProjectPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.approvalProjectPage(paramMap);
    }

    @ApiOperation(value = "拟建项目详情基本信息")
    @RequestMapping(value = "/approvalInfoDetail",method = RequestMethod.POST)
    public R approvalInfoDetail(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.approvalInfoDetail(paramMap);
    }

    @ApiOperation(value = "拟建项目详情立项审批列表")
    @RequestMapping(value = "/approvalExaminePage",method = RequestMethod.POST)
    public TableDataInfo approvalExaminePage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.approvalExaminePage(paramMap);
    }

    @ApiOperation(value = "拟建项目详情民间推介列表")
    @RequestMapping(value = "/approvalMarketingPage", method = RequestMethod.POST)
    public TableDataInfo approvalMarketingPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.approvalMarketingPage(paramMap);
    }

    @ApiOperation(value = "专项债项目列表")
    @RequestMapping(value = "/specialDebtPage", method = RequestMethod.POST)
    public TableDataInfo specialDebtPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.specialDebtPage(paramMap);
    }

    @ApiOperation(value = "专项债项目详情")
    @RequestMapping(value = "/specialDebtDetail", method = RequestMethod.POST)
    public R specialDebtDetail(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.specialDebtDetail(paramMap);
    }

    @ApiOperation(value = "招标公告列表")
    @RequestMapping(value = "/bidNoticePage",method = RequestMethod.POST)
    public TableDataInfo bidNoticePage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.bidNoticePage(paramMap);
    }

    @ApiOperation(value = "招标公告招标类别")
    @RequestMapping(value = "/bidNoticeTenderStage", method = RequestMethod.POST)
    public R bidNoticeTenderStage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.bidNoticeTenderStage(paramMap);
    }

    @ApiOperation(value = "招标公告招标地区")
    @RequestMapping(value = "/bidNoticeProvince", method = RequestMethod.POST)
    public R bidNoticeProvince(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.bidNoticeProvince(paramMap);
    }

    @ApiOperation(value = "招标公告详情")
    @RequestMapping(value = "/bidNoticeDetail", method = RequestMethod.POST)
    public R bidNoticeDetail(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.bidNoticeDetail(paramMap);
    }

    @ApiOperation(value = "招标计划列表")
    @RequestMapping(value = "/bidPlanPage",method = RequestMethod.POST)
    public TableDataInfo bidPlanPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.bidPlanPage(paramMap);
    }

    @ApiOperation(value = "招标计划详情")
    @RequestMapping(value = "/bidPlanDetail", method = RequestMethod.POST)
    public R bidPlanDetail(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.bidPlanDetail(paramMap);
    }

    @ApiOperation(value = "标讯pro招标公告列表")
    @RequestMapping(value = "/bidNoticeProPage", method = RequestMethod.POST)
    public TableDataInfo bidNoticeProPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.bidNoticeProPage(paramMap);
    }

    @ApiOperation(value = "标讯pro招标公告详情")
    @RequestMapping(value = "/bidNoticeProDetail", method = RequestMethod.POST)
    public R bidNoticeProDetail(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.bidNoticeProDetail(paramMap);
    }

    @ApiOperation(value = "行政许可列表")
    @RequestMapping(value = "/creditXzxkPage", method = RequestMethod.POST)
    public TableDataInfo creditXzxkPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseProjectService.creditXzxkPage(paramMap);
    }

}
